matrix:
  platform:
  - ubuntu2204
  - ubuntu2404
  - macos_arm64
  bazel: [7.x, 8.x, 9.x, rolling]
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_targets:
    - '@openusd//:openusd'

bcr_test_module:
  module_path: .
  matrix:
    platform:
    - ubuntu2204
    - ubuntu2404
    - macos_arm64
    bazel: [7.x, 8.x, 9.x, rolling]
  tasks:
    run_test_module:
      name: Run tests
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      build_targets:
      - "@openusd//..."  
      test_targets:
      - "@openusd//..."  
